# CRP Gateway
## RELEASE NOTES 
> v1.6.0

### Upgrade Steps
* Refer to CRP Gateway Patching Guide v1.0 or above

### New Features
* API for trigger scheduled tasks explicitly
  > POST /api/v1/crp-service/scheduler<br>
  > Content-Type: application/json<br>
  > <br>
  > {"target": \<target\>}

      Target Values:
        1.  UPLOAD_DATA_SUBMISSION
        2.  UPLOAD_DATA_SUBMISSION
        3.  UPLOAD_DATA_AMENDMENT
        4.  UPLOAD_INITIAL_DATA_LOAD
        5.  UPLOAD_CREDIT_REPORT_ENQUIRY
        6.  UPLOAD_PMDS_DATA_SUBMISSION
        7.  UPLOAD_PMDS_CREDIT_REPORT_ENQUIRY
        8.  SFTP_DATA_SUBMISSION
        9.  SFTP_DATA_AMENDMENT
        10. SFTP_CREDIT_REPORT_ENQUIRY
        11. SFTP_PMDS_DATA_SUBMISSION
        12. SFTP_PMDS_CREDIT_REPORT_ENQUIRY
        13. REPLY_PENDING_CRP_MESSAGE

### Bug Fixes

### Improvements
* Activity Log will log more details on user management changes, targeted for Audit Trail
* Masking the **OAuth2 Secret** and **Message Signing Key** before responding to UI
* Support searching file upload request history with upload ID
* Gateway Configuration Enhancement
  1. Added hints in input placeholder
  2. Dropdown for boolean fields

### Other Changes
